Skip to main content
POST
/
price_service.v1.PriceService
/
GetPrice
GetPrice
curl --request POST \
  --url https://api.fairground.fi/price_service.v1.PriceService/GetPrice \
  --header 'Authorization: Bearer <token>' \
  --header 'Connect-Protocol-Version: <connect-protocol-version>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "market": {
    "marketId": 123
  }
}
'
{
  "price": {
    "marketId": 123,
    "marketName": "<string>",
    "symbol": "<string>",
    "price": 123,
    "volume24h": 123,
    "priceChange24h": 123,
    "timestamp": "2023-11-07T05:31:56Z",
    "source": "<string>"
  },
  "signedPricePayload": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Connect-Protocol-Version
enum<number>
required

Define the version of the Connect protocol

Available options:
1
Connect-Timeout-Ms
number

Define the timeout, in ms

Body

application/json
market
market · object

Response

Success

price
price · object
signedPricePayload
string | null